## libmeegotouch 0.20.25-1.o20100705150722%2b0m6

=== debian/changelog ===
libmeegotouch (0.20.25-1.o20100705150722+0m6) unstable; urgency=low

  * Fixes: NB#178001 - using MList::scrollTo() makes the list behave strange
  * Fixes: NB#176892 - svg ids are not shown on using fast launch in application
  * Fixes: NB#175447 - meegotouch doesn't add dbus to QT features, but it needs...
  * Fixes: NB#176453 - progress bar and spinner widgets get paint events when are offscreen.
  * Fixes: NB#177613 - MCommonPixmaps crash happened
  * Fixes: NB#177339 - If MSlider is tapped on the min/max label slider handle moves but sliderPressed signal is not emitted.

 -- Jorgen Scheibengruber <jorgen.scheibengruber@nokia.com>  Mon, 05 Jul 2010 14:52:05 +0300

libmeegotouch (0.20.24-1) unstable; urgency=low

  * Fixes: NB#159063 - Using QFileDialog instead of the native dialog creates issues.
  * Fixes: NB#177177 - Disable automatic rotation
  * Fixes: NB#176548 - Toolbar missing shade
  * Fixes: NB#174927 - MTheme::pixmap() and MTheme::pixmapCopy() return empty images
  * Fixes: NB#176909 - spinners in widgetsgallery list are not replaced with images anymore
  * Fixes: NB#173438 - connection failed, DHCP cut in portrait view
  * Fixes: NB#175820 - 'Contacts' application is crashing in portrait mode.
  * Fixes: NB#176352 - Sometimes navigation bar is not fully hidden/shown when requested
  * Fixes: NB#176755 - MLocale::script() does not change according to the language
  * Fixes: NB#173106 - MBubbleItem: Sender text does not get elided
  * Fixes: NB#175275 -  Slider handle MLabel rendering for short texts
  * Fixes: NB#175646
  * Fixes: NB#175652

 -- Jorgen Scheibengruber <jorgen.scheibengruber@nokia.com>  Thu, 01 Jul 2010 13:36:01 +0300

libmeegotouch (0.20.23-1) unstable; urgency=low

  * Fixes: NB#175620 - Widget properties are not updated after rotation
  * Fixes: NB#176860 - Message UI crashes when tap on SMS send button
  * Fixes: NB#170699 - Documentation does not mention how %L1 localization is done
  * Fixes: NB#176157 - MBubbleItem setAvatar() resizes the bubble
  * Fixes: NB#175800 - MButton layout when horizontal-text-align is left and icon-align is right ignores label position
  * Fixes: NB#176455 - MClassFactory trashes debug output
  * Fixes: NB#176134 - No unique object names for MActions in application menu

 -- Daniel d'Andrada <daniel.dandrada@nokia.com>  Mon, 28 Jun 2010 14:22:16 +0300

libmeegotouch (0.20.22-1) unstable; urgency=low

  * Fixes: NB#166466 - Position indicator partially hidden behind titlebar
  * Fixes: NB#172441 - Serviceframework: m-servicefwgen generates non-compiling code
  * Fixes: NB#160677 - DuiApplicationService launch method needs an *option* to cause un-minimize animation
  * Fixes: NB#173390 - Half tool bar displayed
  * Fixes: NB#175977 - MLabelViewSimple - restore clipping state after setting it
  * Fixes: NB#170883 - No enter/exitDisplayEvent() methods called for a widget inside system modal dialog

 -- Sergiy Dubovik <sergiy.dubovik@nokia.com>  Wed, 23 Jun 2010 10:17:43 +0300

libmeegotouch (0.20.21-1) unstable; urgency=low

  * Fixes: NB#175502 - MList creates WAY too many items
  * Fixes: NB#175720 - When setting a new itemModel for MList this does not disconnect from the old itemModel
  * Fixes: NB#175429 - MList crashes after a modelReset if group headers are shown and one group header is removed
  * Fixes: NB#175507 - Crash is observed when tapped outside 'camera mode' pop up.
  * Fixes: NB#172712 - Moving action to menu does not work
  * Fixes: NB#172712 - Moving action to menu does not work
  * Fixes: NB#169208 - MInfoBanner disappear animation is executed when...
  * Fixes: NB#174516 - Switching between month, multiday, list and tasks views returns black window
  * Fixes: NB#167102 - Don't forcefully drop all style-references in ~MTheme
  * Fixes: NB#170968 - Navigation bar times out even when the view menu options are displayed
  * Fixes: NB#173599 - Switch does not work with right-to-left swipe, only with left-to-right
  * Fixes: NB#174084 - Application menu doesn't appear when scene window transitions are immediate
  * Fixes: NB#173416 - setting gconf value for /meegotouch/theme/name only works once
  * Fixes: NB#174281 - MComboBox emits currentIndexChanged(int) prematurely
  * Fixes: NB#172567 - Phone application is not usable when View Menu is opened and closed multiple times

 -- Sergiy Dubovik <sergiy.dubovik@nokia.com>  Sun, 20 Jun 2010 12:49:14 +0300

libmeegotouch (0.20.20-1) unstable; urgency=low

  * Fixes: NB#172712 - Moving action to menu does not work
  * Fixes: NB#169208 - MInfoBanner disappear animation is executed when...
  * Fixes: NB#174516 - Switching between month, multiday, list and tasks views returns black window
  * Fixes: NB#167102 - Don't forcefully drop all style-references in ~MTheme
  * Fixes: NB#170968 - Navigation bar times out even when the view menu options are displayed
  * Fixes: NB#173599 - Switch does not work with right-to-left swipe, only with left-to-right
  * Fixes: NB#174084 - Application menu doesn't appear when scene window transitions are immediate
  * Fixes: NB#173416 - setting gconf value for /meegotouch/theme/name only works once
  * Fixes: NB#174281 - MComboBox emits currentIndexChanged(int) prematurely
  * Fixes: NB#172567 - Phone application is not usable when View Menu is opened and closed multiple times
  * Fixes: NB#169509 - info note is truncated in portrait mode
  * Fixes: NB#171531 - Info banner is not dismissed

 -- Jorgen Scheibengruber <jorgen.scheibengruber@nokia.com>  Fri, 18 Jun 2010 10:21:44 +0300

libmeegotouch (0.20.19-1) unstable; urgency=low

  * Fixes: NB#174469 - widgetsgallery -quitimmediately stuck
  * Fixes: NB#171466 - The MNotification::notifications() returns non-initialized notifications?
  * Fixes: NB#174768 - Launcher and Quick Launch Bar icons are squeezed horizontally
  * Fixes: NB#173243 - (MSlider_groove) MSlider: The groove is not painted right when we use values out of bounds.

