=== debian/control ===
Source: libmeegotouch
Section: libs
Priority: extra
Maintainer: Tomas Junnonen <tomas.junnonen@nokia.com>
Build-Depends: debhelper (>= 5), libqt4-dev (>= 4.6.0), libicu-dev, libx11-dev, doxygen, libgconf2-dev, libgstreamer0.10-dev, libgstreamer-plugins-base0.10-dev, libgles2-sgx-img-dev [arm armel], opengles-sgx-img-common-dev [arm armel], libgl-dev [i386], libgl1 [i386], libqt4-opengl-dev, pkg-config (>= 0.22), libxdamage-dev, xsltproc
Standards-Version: 3.7.2

Package: libmeegotouchcore0
Architecture: any
Depends: ${misc:Depends}, ${launcher:Depends}, ${shlibs:Depends}, libmeegotouch-bin (= ${Source-Version}), libmeegotouch-l10n-engineering-english (= ${Source-Version}), dbus-x11, meegotouchtheme (>= 0.20.25)
Suggests: libmeegotouch-l10n-ar, libmeegotouch-l10n-de, libmeegotouch-l10n-en, libmeegotouch-l10n-fi, libmeegotouch-l10n-hu, libmeegotouch-l10n-ur, libmeegotouch-l10n-zh-cn
Description: MeeGo Touch core library
 MeeGo Touch core framework library

Package: libmeegotouchcore0-dbg
Architecture: any
Section: devel
Depends: libmeegotouchcore0 (= ${Source-Version})
Description: libmeegotouch debug package
 libmeegotouch debug symbols.

Package: libmeegotouchextensions0
Architecture: any
Depends: ${misc:Depends}, ${launcher:Depends}, ${shlibs:Depends}, libmeegotouchcore0 (= ${Source-Version})
Description: MeeGo Touch extensions library
 MeeGo Touch extensions framework library

Package: libmeegotouchextensions0-dbg
Architecture: any
Section: devel
Depends: libmeegotouchextensions0 (= ${Source-Version})
Description: libmeegotouch debug package
 libmeegotouch debug symbols.

Package: libmeegotouchsettings0
Architecture: any
Depends: ${misc:Depends}, ${launcher:Depends}, ${shlibs:Depends}, libmeegotouchcore0 (= ${Source-Version})
Description: MeeGo Touch settings library
 MeeGo Touch settings framework library

Package: libmeegotouchsettings0-dbg
Architecture: any
Section: devel
Depends: libmeegotouchsettings0 (= ${Source-Version})
Description: libmeegotouch debug package
 libmeegotouch debug symbols.

Package: libmeegotouchviews0
Architecture: any
Depends: ${misc:Depends}, ${launcher:Depends}, ${shlibs:Depends}, libmeegotouchcore0 (= ${Source-Version})
Description: MeeGo Touch views library
 MeeGo Touch views framework library

Package: libmeegotouchviews0-dbg
Architecture: any
Section: devel
Depends: libmeegotouchviews0 (= ${Source-Version})
Description: libmeegotouch debug package
 libmeegotouch debug symbols.

Package: libmeegotouch-bin
Architecture: any
Depends: ${misc:Depends}, ${launcher:Depends}, ${shlibs:Depends}, libmeegotouchcore0 (= ${Source-Version})
Description: MeeGo Touch binary files
 Binary files of MeeGo Touch framework

Package: libmeegotouch-bin-dbg
Architecture: any
Section: devel
Depends: libmeegotouch-bin (= ${Source-Version})
Description: libmeegotouch debug package
 libmeegotouch debug symbols.

Package: libmeegotouch-dev
Section: devel
Architecture: any
Depends: libmeegotouchcore0 (= ${Source-Version}), libmeegotouchextensions0 (= ${Source-Version}), libmeegotouchsettings0 (= ${Source-Version}), libmeegotouchviews0 (= ${Source-Version}), meegotouch-dev-tools (=${Source-Version}), libqt4-dev (>= 4.6.0), libx11-dev, libgstreamer0.10-dev, libgstreamer-plugins-base0.10-dev, libgconf2-dev, libcontextsubscriber-dev, libxdamage-dev
Description: MeeGo Touch development files
 Development files for MeeGo Touch

Package: meegotouch-dev-tools
Section: devel
Architecture: any
Depends: ${shlibs:Depends}, libmeegotouchcore0 (= ${Source-Version})
Suggests: perl (>= 5.10.0)
Description: MeeGo Touch specific development and testing tools
 Collection of tools for testing and developing on top of MeeGo Touch. Includes
 stuff like applettester and code/mock generation.

Package: meegotouch-dev-tools-dbg
Architecture: any
Section: devel
Depends: meegotouch-dev-tools (= ${Source-Version})
Description: meegotouch-dev-tools debug package
 meegotouch-dev-tools debug symbols.

Package: meegotouch-demos
Section: devel
Architecture: any
Depends: meegotouch-demos-widgetsgallery, meegotouch-demos-plainqt
Description: Demo applications for MeeGo Touch
 Collection of demo applications for MeeGo Touch

Package: meegotouch-demos-widgetsgallery
Section: user/development
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, meegotouch-demos-widgetsgallery-l10n-engineering-english (= ${Source-Version})
Suggests: meegotouch-demos-widgetsgallery-l10n-ar, meegotouch-demos-widgetsgallery-l10n-de, meegotouch-demos-widgetsgallery-l10n-en, meegotouch-demos-widgetsgallery-l10n-fi, meegotouch-demos-widgetsgallery-l10n-ur, meegotouch-demos-widgetsgallery-l10n-zh-cn
Conflicts: dui-demos-widgetsgallery
Replaces: dui-demos-widgetsgallery
Description: Demo application for MeeGo Touch
XB-Maemo-Display-Name: Widgets Gallery
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABHNCSVQICAgIfAhk
 iAAAAAlwSFlzAAAN1wAADdcBQiibeAAAABl0RVh0U29mdHdhcmUAd3d3Lmlua3Nj
 YXBlLm9yZ5vuPBoAAAgjSURBVGiB1ZlbbFTHGcd/35yzx7sO5rIGzC0ESBsg0HAr
 90hI7UODSgUCqYgoaqKqUXlJRdJKRFR9SRspvBQq9S3KC01JUqUOVXpJKvUlBcIl
 BgwYG7Cx43KxDWub9WV3z236sHvWu16vvWvsJv1Ln+acs3PO/P8z3zfzzaxorfl/
 hjkZHz26TxaZhnHcE7Ve+X4Mkbdfedf51WS0pSbjo4ZhHF/05Dc3bt2y1fz2xs01
 Vrjy1SPPy7bJaGvCBRz5oUQ1sm7e3LlqsOMKkoqxYN7cx0xRP57otgAkiIGjb726
 KGxWHHZdbzdaT4prPTJEXNM0apNu6uCB14+0QU4MhM2Kw0tXrNzz9KrVRigU+so4
 jgbHccxr9Zf2XG+4CrAXcgS4rrd7xao1huv04dr+V8VxVIgoVqxaYzTU1+8Ong25
 itamGTJxHpm8ZrJmZq09DNMk18XN/AoQxMSJ9z+aHBbjxM69u9IXw3onP1i1Jndh
 O/wPd9KJlYKD280sL80oAjT5Ar5OyAoYRq+oC00mLFNYvjDChqVTATh3PU5jewLb
 Ld52llc5LmSaxgRRzsfuZ6tZ8dR8Nq5bB8DCujoabtzhw5Oxou+My4Ui4QoAnlkU
 ZtViC8XETK+WZbHjue0YRrqDdjy3nZ7YMfZvrwbAR1HfanO5LZl5wy7RhTIiApGR
 SFrA6sVhdv7g+8ypmfPI5K82XKXrfmeWPIBhGCxcuJDZs2pYuWIlHZ0dyMd/42Zn
 wNYenwsFI3CjA/7y8V8RvEcWAOkR8DwvK8LzPNrb22lubub056fQGNzokGz70Fei
 CxUIsAD4T2/aYGJSjE1LNH//9FPWr10DwPkLF+nuF87cCufVi+TcBp4xqgtlVOR8
 oKLg5/HC83xiPQ+ZVT2Dqx2a+/0PuHvvEwDaYgad/RVEwlL0/aGOLWcEIhMjQGu4
 cq2F/oEEVijE3DnV9DhhejqG6lhjNDUUxOOIgUdFS+sd+gcSALTf7WLB/FlYRTJe
 7WtEFY7EUAzko3AWGkHAVDNOdagb7Y+cWogyiTlR4u7Ugt96H/bz5e2hrvZcj9Yv
 O1i98hsFdQcTSc5fagJgyRNzmT93FkqpQEGa/GgjUOhC6SCupps9u3YRjVaPKKC7
 O8afT5zACc2k/kozNbOjzKmJon3N5WstBYF3+24XC+bN5PH5s7PPHnTHOXXmCrbj
 AFDf0EJL213Wr1kGVcVdKH9LmREQVIqEK4iEK9C+y4wZUV588SV6enoAiMfjvPba
 zzl06JdEo9Vo3+VeZ4ybrbf5/HwDA4NJLl1tId43MKLouvrrNLfepb8/QUNTG5+d
 rs+SD9A/kODU2Ssjdm6AklyIQRARzp49xwcf/ImXX/4Je/fuo66ujo8+qs3WP3km
 3ZjreXzyr3P4fvGV23E8Ll6+AaS/DRolGd/PljqzVnilBfFwlfc607nJwky8bdy4
 gWPH/kA4HObs2bO8+eZv2Lp1S7b+hrXL0VojgGWZuI6Hr4FsTKZvBA0iGIaBoQTH
 8fIXqJxLUQq4XnQlHuZC+RlpvG8gzwV27NhBU1MTb7zxa7Zt28b+/T/Nez1Y+AzT
 wDRNQlYI27ZJJJIZS6XLpI2IYIVMDMOgwgohCKmUw+BgksFEksFkCsd1s4MRdO4Y
 s1D+CMT7BtMX0XSxa9dO3nvvfR48uM8777ydGfoh9PWnp0rP80mlnGwP2ikH103P
 YIJQWRnGtl1sO39WU0rwPEFEMAwFGVGBgNyyiID8XCPb+6Lo7o4RjVZTW/shw9Hd
 HQNRRQMWNI7r4XkelhViMJEsUq84xpXMBYQutpro2lqkSDqtUVxqc4n3jU3Mcca3
 TS1tIRsm4GHGhb7ogy/SEwbFs5XJxVAyN5YL5VRIpez/CbmxYebwKsOFDm7/+pww
 lripHxKw+TtbKMQoG/4yzwLKPToYe0MjuK7rmiIK3x9t51VC0yWyK0+ERikD13FB
 yM4EWQFKGbUtjY17lixdZpih0VynjGYnuKrrurQ0NXpKGdn8JcvU9u2Drc03abnR
 tBs9Of/cPDIEVymj1vbtg9lHpR5kHX3e0Fs3rUOpyT16932HU2fqOHDcK2nGLqun
 lQox0NU4PmYl4rHZy8uqX5YA33fKbqBc+L4zdqUclCxACZ2nztTVlM1oHFBCZ6l1
 S46BXPzuBTO+acOmKjfeRqT6Kf59+jNHaW/mK+/qeEnv7zPeWrT4iV/MqZ5iiDJp
 vxtL3b5z+9CB495vy+VS9r+Uv/+RLDaNkBkKhUAUg4kBRNP1sz/iiUiViEwTkeki
 EhWR6oxFM8+miUhV3JaLD+N9A4ZViWcPUDW1qsI05LvlcoESXEhEDMAK7PXt6ntP
 PznV95wBjFAlvf19DCRpBJYBRsbSyfxQ7qcz5gPeiQte70vPxsMqVInv3KFqygI8
 zSYRmQc4gB2Y1nrU88wRBWRIVwwzC6iwQmybPn1qxHeSGNYUejs6Uu0x3QQERxZj
 TX/6Qhv6hc1eKpVKWogiXFmJiFH1zHxv+eU7dAKpjICUiKQy96mRxBS4kIiogOww
 CwORqohssBRKKmbgG2F6env8W13+jQxxlWNGpoNMhkYlMEmk9M3e7geEpi3CsVOE
 LdP51uNqLRDJtFXQgRlueSgYAa21LyL2CD2ZzrZ9Yo3NrTU0twKI69J9soVmhtxk
 zBEAaO7kn5XhW8tovgWgRaOVoh9IkDMCOWZrrQt2VGPOQsNjgPQRdWAm+b1cUgzk
 mJtjTo6VHAPjmkYzwgKXMYaVAfmgDAT4OWUgJFvqcRL5LxGrI3FXgxkMAAAAAElF
 TkSuQmCC

Package: meegotouch-demos-widgetsgallery-dbg
Section: devel
Architecture: any
Depends: meegotouch-demos-widgetsgallery (= ${Source-Version})
Conflicts: dui-demos-widgetsgallery-dbg
Replaces: dui-demos-widgetsgallery-dbg
Description: Demo application for MeeGo Touch
 This package contains debug symbols.

Package: meegotouch-demos-widgetsgallery-tests
Section: devel
Architecture: any
Depends: ${shlibs:Depends}, duitestrunner, meegotouch-demos-widgetsgallery (= ${Source-Version})
Description: Demo application for MeeGo Touch

Package: meegotouch-demos-plainqt
Section: devel
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: dui-demos-plainqt
Replaces: dui-demos-plainqt
Description: Demo applications showing the capabilities of the plain qt style.

Package: meegotouch-demos-plainqt-dbg
Section: devel
Architecture: any
Depends: meegotouch-demos-plainqt (= ${Source-Version})
Conflicts: dui-demos-plainqt-dbg
Replaces: dui-demos-plainqt-dbg
Description: debug symbols of the plain qt examples

Package: meegotouch-demos-appletinstallationsource
Section: devel
Architecture: any
Depends: ${shlibs:Depends}
Description: Demo applet installation source for the applet library.

Package: meegotouch-demos-appletinstallationsource-dbg
Section: devel
Architecture: any
Depends: meegotouch-demos-appletinstallationsource (= ${Source-Version})
Description: Debug symbols of the demo applet installation source.

Package: meegotouch-demos-applicationextension
Section: devel
Architecture: any
Depends: ${shlibs:Depends}
Description: Demo application for application extensions

Package: meegotouch-demos-applicationextension-dbg
Section: devel
Architecture: any
Depends: meegotouch-demos-applicationextension (= ${Source-Version})
Description: Debug symbols of the demo application for application extensions

Package: libmeegotouch-tests
Section: extra
Architecture: any
Depends: ${shlibs:Depends}, testrunner, locales
Description: libmeegotouch unit tests
 Unit testing binaries and shellscripts for testing libmeegotouch library

Package: libmeegotouch-tests-dbg
Architecture: any
Section: devel
Depends: libmeegotouch-tests (= ${Source-Version})
Description: libmeegotouch-tests debug package
 libmeegotouch-tests debug symbols.

Package: libmeegotouch-benchmarks
Section: extra
Architecture: any
Depends: ${shlibs:Depends}, meegotouch-demos-widgetsgallery
Description: libmeegotouch benchmarks
 Benchmarking binaries for testing libmeegotouch library

Package: libmeegotouch-benchmarks-dbg
Architecture: any
Section: devel
Depends: libmeegotouch-benchmarks (= ${Source-Version})
Description: libmeegotouch-benchmarks debug package
 libmeegotouch-benchmarks debug symbols.

Package: meegotouch-qt-style
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libmeegotouchcore0 (= ${Source-Version})
Description: MeeGo Touch Qt style for plain Qt applications
 MeeGo Touch Qt style plugin

Package: meegotouch-qt-style-dbg
Architecture: any
Section: devel
Depends: meegotouch-qt-style (= ${Source-Version})
Description: meegotouch-qt-style debug package
 meegotouch-qt-style debug symbols.

Package: libmeegotouch-doc
Section: doc
Architecture: all
Description: API documentation for libmeegotouch

Package: libmeegotouch-l10n-engineering-english
Section: devel
Architecture: any
Enhances: libmeegotouchcore0
Description: Engineering English translations for libmeegotouch

Package: libmeegotouch-l10n-ar
Section: devel
Architecture: any
Enhances: libmeegotouchcore0
Description: Arabic translations for libmeegotouch

Package: libmeegotouch-l10n-de
Section: devel
Architecture: any
Enhances: libmeegotouchcore0
Description: German translations for libmeegotouch

Package: libmeegotouch-l10n-en
Section: devel
Architecture: any
Enhances: libmeegotouchcore0
Description: English translations for libmeegotouch

Package: libmeegotouch-l10n-fi
Section: devel
Architecture: any
Enhances: libmeegotouchcore0
Description: Finnish translations for libmeegotouch

Package: libmeegotouch-l10n-hu
Section: devel
Architecture: any
Enhances: libmeegotouchcore0
Description: Hungarian translations for libmeegotouch
